GET api/departmentapi/departmentsbycontract/{contractId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| contractId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"code": 2,
"contract_id": "2b861178-246a-48d2-aa0e-1a600e15ea3d",
"id": "b1e4285a-eaea-42a1-9cda-7503a1ccf71f",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "bb70854c-5e29-42bd-90d8-4f63ea1bb126",
"selected_sticker_id": "a22b6366-9314-4921-ae73-62527355dbcc"
},
{
"active": true,
"code": 2,
"contract_id": "2b861178-246a-48d2-aa0e-1a600e15ea3d",
"id": "b1e4285a-eaea-42a1-9cda-7503a1ccf71f",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "bb70854c-5e29-42bd-90d8-4f63ea1bb126",
"selected_sticker_id": "a22b6366-9314-4921-ae73-62527355dbcc"
}
]
application/xml, text/xml
Sample:
<ArrayOfdepartment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<department>
<active>true</active>
<code>2</code>
<contract_id>2b861178-246a-48d2-aa0e-1a600e15ea3d</contract_id>
<id>b1e4285a-eaea-42a1-9cda-7503a1ccf71f</id>
<item_wash_max>1</item_wash_max>
<name>sample string 5</name>
<remark>sample string 6</remark>
<selected_nameplate_id>bb70854c-5e29-42bd-90d8-4f63ea1bb126</selected_nameplate_id>
<selected_sticker_id>a22b6366-9314-4921-ae73-62527355dbcc</selected_sticker_id>
</department>
<department>
<active>true</active>
<code>2</code>
<contract_id>2b861178-246a-48d2-aa0e-1a600e15ea3d</contract_id>
<id>b1e4285a-eaea-42a1-9cda-7503a1ccf71f</id>
<item_wash_max>1</item_wash_max>
<name>sample string 5</name>
<remark>sample string 6</remark>
<selected_nameplate_id>bb70854c-5e29-42bd-90d8-4f63ea1bb126</selected_nameplate_id>
<selected_sticker_id>a22b6366-9314-4921-ae73-62527355dbcc</selected_sticker_id>
</department>
</ArrayOfdepartment>